#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pyro5

DOCDIR=$(CURDIR)/debian/pyro5-doc/usr/share/doc/pyro5-doc/
EXAMPLESDIR=$(CURDIR)/debian/pyro5-examples/usr/share/doc/pyro5/examples/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	$(RM) -r $(CURDIR)/Pyro5.egg-info/
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/docs/ && $(MAKE) html

# disable test during build due to network access
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs

override_dh_fixperms:
	find $(EXAMPLESDIR) -type f -exec chmod a-x {} \;
	dh_fixperms

override_dh_installinit:
	dh_installinit -ppython3-pyro5 --name=pyro5-ns --no-enable

override_dh_installsystemd:
	dh_installsystemd --name=pyro5-ns --no-enable --no-start

.PHONY: override_dh_auto_clean override_dh_auto_build \
	override_dh_installdocs override_dh_fixperms
